---
title: '`glab mr reopen`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Reopen a merge request.

```plaintext
glab mr reopen [<id>... | <branch>...] [flags]
```

## Aliases

```plaintext
open
```

## Examples

```console
# Reopen merge request 123
glab mr reopen 123

# Reopen merge requests 123, 456, and 789
glab mr reopen 123 456 789

# Reopen merge requests from branches branch-1 and branch-2
glab mr reopen branch-1 branch-2
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
